API reference
Retrieve an Agent Payment receipt
Retrieve an Agent Payment receipt. Review the StableOps Agent Payments API endpoint, its authentication, request parameters, validation rules, response fields.
GET
/v1/agent-payments/payments/{intentId}/receiptAuthorization
bearerAuth AuthorizationBearer <token>
Paste your API key from the dashboard.
In: header
Response Body
application/json
curl -X GET "https://example.com/v1/agent-payments/payments/{intentId}/receipt"{
"id": "string",
"intent_id": "string",
"authorization_id": "string",
"request_outcome": "response_received",
"http_status": 100,
"payment_response": "string",
"resource_body_hash": "string",
"signature_hash": "string",
"transaction_hash": "string",
"settlement_block_number": "string",
"settlement_block_hash": "string",
"reported_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z"
}Empty
How is this guide?
Last updated
List Agent Payment state transitions GET
List Agent Payment state transitions. Review the StableOps Agent Payments API endpoint, its authentication, request parameters, validation rules.
Retrieve the authenticated payment agent GET
Retrieve the authenticated payment agent. Review the StableOps Agent Payments API endpoint, its authentication, request parameters, validation rules.